Sondage MySQL : quelle version de MySQL utilisez-vous ?

Le , par ced, Rédacteur/Modérateur
Bonjour à tous,

De nombreuses versions de MySQL sont disponibles et utilisées sur des environnements de production.

Et vous, quelle version utilisez-vous ? La toute dernière version beta, pour être du "dernier cri" et satisfaire votre âme de testeur ? Ou, au contraire, une version bien antérieure parce qu'elle vous est imposée par votre hébergeur, ou que vous la trouvez stable et répondant à vos besoins ?

Si vous utilisez plusieurs versions, indiquez préférentiellement celle que vous utilisez le plus (ou que vous préférez).

N'hésitez pas à faire part de vos commentaires, qui sont les bienvenus.

d'avance de votre participation.


Vous avez aimé cette actualité ? Alors partagez-la avec vos amis en cliquant sur les boutons ci-dessous :


 Poster une réponse

Avatar de motarion motarion - Membre à l'essai https://www.developpez.com
le 30/06/2009 à 15:18
Personnellement en prod j'utilise la 5.0 qui est pacakgé avec les distribution Linux que j'utilise, Ubuntu et Debian
Avatar de ddoumeche ddoumeche - Membre éprouvé https://www.developpez.com
le 25/07/2013 à 5:57
Je teste actuellement Percona Server 5.5, en attendant la 5.6.
Les performances sont sans communes mesure avec mysql, tout en assurant une compatibilité totale.
Avatar de selecta selecta - Membre régulier https://www.developpez.com
le 08/08/2013 à 14:55
Actuellement de la 5.1.41 à la 5.5.16-log
Avatar de phlyper phlyper - Futur Membre du Club https://www.developpez.com
le 13/07/2014 à 15:18
bonjour, actuellement j'utilise les serveurs mysql 5.5.24-log et mariadb 5.5.37-log
Avatar de Arn_no Arn_no - Membre à l'essai https://www.developpez.com
le 18/07/2014 à 9:46
J'utilise actuellement la version 5.5.37 ^^
Avatar de jovial banga jovial banga - Candidat au Club https://www.developpez.com
le 11/04/2016 à 4:54
Comment reconnaitre la version de mysql ? Merci
Avatar de Artemus24 Artemus24 - Expert éminent https://www.developpez.com
le 12/04/2016 à 3:45
Salut Jovial Banga.

En faisant ceci :
Code : Sélectionner tout
1
2
3
4
5
6
7
8
9
10
11
12
--------------
show variables like 'version'
--------------
 
+---------------+------------+
| Variable_name | Value      |
+---------------+------------+
| version       | 5.7.12-log |
+---------------+------------+
 
 
Appuyez sur une touche pour continuer...
@+
Avatar de fadace fadace - Rédacteur/Modérateur https://www.developpez.com
le 20/02/2017 à 17:45
Encore en production avec un 5.0.44 (et des providers de m... qui refusent d'évoluer) et du 5.5.8
Sinon en pré-prod avec un 5.7.17, mais ça pose passablement de souci de compatibilité à de vieilles versions (Oracle tente à pousser des comportements de la norme qui n'étaient pas les comportements par défaut...)
Avatar de Artemus24 Artemus24 - Expert éminent https://www.developpez.com
le 20/02/2017 à 18:20
Salut fadace.

Le problème n'est pas tant la version ancienne de MySql, mais le fait d'utiliser parfois des extensions, des applications ou je ne sais quoi d'autres qui ne peuvent pas évoluer et son donc liées à cette version de MySql.

Sinon, pourquoi ne pas installer dans votre espace de travail chez votre fournisseur, une version plus récente de MySql ?

Citation Envoyé par Fadace
Oracle tente à pousser des comportements de la norme qui n'étaient pas les comportements par défaut...
Je ne comprends pas bien ce que vous entendez par "comportement par défaut" ?
Un exemple serait plus parlant.

@+
Avatar de escartefigue escartefigue - Expert éminent https://www.developpez.com
le 20/02/2017 à 19:51
Peut être Fadace fait il allusion à ce genre de problèmes
https://www.developpez.net/forums/d1...e-sql-sharp13/

Je laisse le soin aux experts MySQL de confirmer pour le sujet en question, et à Fadace pour le sujet en cours
Avatar de Artemus24 Artemus24 - Expert éminent https://www.developpez.com
le 20/02/2017 à 20:26
Salut Escartefigue.

Le problème selon moi repose non pas sur la version MySql utilisé mais sur un type de développement trop spécifique à la version utilisée.

Je prends un exemple auquel je suis confronté avec les dernières versions de php.
Je ne trouve pas toujours les drivers qui sont associés à ces versions php, d'où le fait que j'attende leur sortie pour enfin basculer dans cette nouvelle version php.

J'essaye dans mes développements, d'être toujours le plus standard possible.
L'exemple du lien que vous m'avez donné est la caractéristique du non respect par MySql de la norme sur le "group by".
Mais le pire dans l'exemple que vous m'avez donné, est que l'on est pas maître de l'application sur laquelle on travaille, entre autre Prestashop.
On peut contourner le problème en modifiant la variable système de MySql "sql_mode".

Pour répondre à la question de ce sujet, j'utilise la dernière version de MySql !
Actuellement, c'est la version 5.7.17.

@+
Offres d'emploi IT
Développeur web / administrateur web projet innovant
En création - Nord Pas-de-Calais - Lille (59000)
Ingénieur concepteur web (h/p)
Atos Technology Services - Ile de France - Bezons (95870)
Opportunité d’ingénieur étude et développeur back end node js
HUMAN PROFIL - Languedoc Roussillon - Montpellier (34000)

Voir plus d'offres Voir la carte des offres IT
Contacter le responsable de la rubrique MySQL